
Foreman - Bug #6834

Missing ipappend from default PXE template

07/30/2014 05:43 AM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1124385 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1124385

Description of problem:

When creating a default PXE menu, there is a missing option "ipappend 2"

Version-Release number of selected component (if applicable):

How reproducible:

100%

Steps to Reproduce:

1. Click "Build PXE default"

2. Examine  /var/lib/tftpboot/pxelinux.cfg/default

3. Note the missing "ipappend 2"

Actual results:

ipappend 2 is missing

Expected results:

ipappend is there

Additional info:

--- PXELinux_default.erb.old    2014-07-29 10:15:00.486191538 +0000

+++ PXELinux_default.erb        2014-07-29 10:15:09.430191532 +0000

@ -23,6 +23,7 @

<% case profile[:hostgroup].operatingsystem.pxe_type -%>

<% when 'kickstart' -%>

append initrd=<%= profile[:hostgroup].operatingsystem.initrd(profile[:hostgroup].architecture) 

> ks=<

= default_template_url(profile[:template], profile[:hostgroup]) %> ksdevice=bootif network kssendm

ac

 +     ipappend 2

<% when 'preseed' -%>

append initrd=<%= profile[:hostgroup].operatingsystem.initrd(profile[:hostgroup].architecture) 

> interface=auto url=<

= default_template_url(profile[:template], profile[:hostgroup]) %> ramdisk_size=10800 root=/dev/rd

/0 rw auto hostname=unassigned-hostname locale=en_US console-setup/ask_detect=false console-setup/

layout=USA console-setup/variant=USA
 <% end -%>

History

#1 - 07/30/2014 05:43 AM - Dominic Cleal

- Category set to Templates

- Assignee deleted (Dominic Cleal)
